GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

gtpin::GtIargImmValue Class Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

Class that represents an immediate scalar value of the HLI argument and provides conversion methods to/from other trivially copyable types. More...

`#include <igt_iarg_factory.h>`

## Detailed Description

Class that represents an immediate scalar value of the HLI argument and provides conversion methods to/from other trivially copyable types.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT